import { Component } from '@angular/core';
import { ModalController } from '@ionic/angular';
@Component({
  selector: 'app-tab2',
  templateUrl: './tab2.page.html',
  styleUrls: ['./tab2.page.scss'],
})

export class Tab2Page {
  constructor(public modalController: ModalController) {}
  //热门话题
  hotTopics: string[] = [
    '热门话题 1',
    '热门话题 2',
    '热门话题 3',
    '热门话题 4',
    '热门话题 5',
    '热门话题 6',
    '热门话题 7',
  ];
  //用户
  userShares = [
    {
      imageUrl: 'assets/tab1/img1.jpg', // 图片URL
      avatarUrl: 'assets/tab1/img2.jpg', // 头像URL
      userName: '用户名1'
    },
    {
      imageUrl: 'assets/tab1/img1.jpg',
      avatarUrl: 'assets/tab1/img2.jpg',
      userName: '用户名2'
    },
    {
      imageUrl: 'assets/tab1/img1.jpg',
      avatarUrl: 'assets/tab1/img2.jpg',
      userName: '用户名3'
    },
    {
      imageUrl: 'assets/tab1/img1.jpg',
      avatarUrl: 'assets/tab1/img2.jpg',
      userName: '用户名4'
    },
    {
      imageUrl: 'assets/tab1/img1.jpg',
      avatarUrl: 'assets/tab1/img2.jpg',
      userName: '用户名5'
    },
    // ...更多用户分享数据
  ];

  
  //设置操作
  openSettings() {
    console.log('Open settings');
  }

  // 假设有一个搜索栏的模态组件
  async presentSearch() {
    const modal = await this.modalController.create({
      component: 'SearchModal' // 搜索模态组件的名称
    });
    return modal.present();
  }
}